Package org.eclipse.m2m.atl.emftvm.ant

# Class LoadMetamodelTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask
org.eclipse.m2m.atl.emftvm.ant.LoadModelTask
org.eclipse.m2m.atl.emftvm.ant.LoadMetamodelTask

All Implemented Interfaces:
  `Cloneable`

public class LoadMetamodelTask extends LoadModelTask
Loads a `Metamodel`.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`RESOURCE_SET`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`LoadMetamodelTask()`

## Method Summary

Modifier and Type
Method
Description
`protected Model`
`createModel(org.eclipse.emf.ecore.resource.Resource resource)`
Creates a new `Model` instance for the given `Resource`.
`protected void`
`innerExecute()`
Performs the actual execution.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.LoadModelTask

`getName, getUri, getWspath, loadFromNsuri, loadFromURI, loadFromWspath, setName, setUri, setWspath`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`execute, getMetamodel, getModel, getResourceSet, setModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoadMetamodelTask

public LoadMetamodelTask()

## Method Details

### createModel

protected Model createModel(org.eclipse.emf.ecore.resource.Resource resource)
Creates a new `Model` instance for the given `Resource`.

Overrides:
  `createModel` in class `LoadModelTask`
Parameters:
  `resource` - the `Resource`
Returns:
  a new `Model`.

### innerExecute

protected void innerExecute() throws Exception
Performs the actual execution.

Overrides:
  `innerExecute` in class `LoadModelTask`
Throws:
  `Exception`